Package org.eclipse.m2m.atl.debug.core

# Class AtlWatchExpressionDelegate

java.lang.Object
org.eclipse.m2m.atl.debug.core.AtlWatchExpressionDelegate

All Implemented Interfaces:
  `org.eclipse.debug.core.model.IWatchExpressionDelegate`

public class AtlWatchExpressionDelegate extends Object implements org.eclipse.debug.core.model.IWatchExpressionDelegate
A delegate which computes the value of a watch expression when provided a context. Watch delegates are provided on a per debug model basis. Watch expressions query the appropriate delegate based on the debug model of the context element. Plug-ins that wish to contribute watch expression delegates may do so using the org.eclipse.debug.core.watchExpressionDelegates extension point.

## Constructor Summary

Constructors
Constructor
Description
`AtlWatchExpressionDelegate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`evaluateExpression(String expression, org.eclipse.debug.core.model.IDebugElement context, org.eclipse.debug.core.model.IWatchExpressionListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlWatchExpressionDelegate

public AtlWatchExpressionDelegate()

## Method Details

### evaluateExpression

public void evaluateExpression(String expression, org.eclipse.debug.core.model.IDebugElement context, org.eclipse.debug.core.model.IWatchExpressionListener listener)

Specified by:
  `evaluateExpression` in interface `org.eclipse.debug.core.model.IWatchExpressionDelegate`
See Also:
  - `IWatchExpressionDelegate.evaluateExpression(java.lang.String, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IWatchExpressionListener)`